Subject: bug#78659: [PATCH] Pacify Clang's -Wformat-signedness.

From: Paul Eggert <[email-masked]>
Date: Mon, 2 Jun 2025 00:26:30 -0700

On 2025-06-01 00:29, Eli Zaretskii wrote:
> I tend to agree, but isn't the latest GCC prone to bugs in this area?

Not that I know of. I usually build with it.

> And how can we know what is "recent GCC"?

I suggest worrying only about the most recent stable GCC release. 
Anything older than that is generally not worth worrying about, though 
there may be some exceptions in extremely annoying circumstances. After 
all, these warnings are meant only for developers who should be using 
recent GCC anyway.